Error while building .Net 5 web app(with Angular) through Azure Pipeline

Published

I’m trying to configure CI for .Net 5 web app.

This web app is successfully build locally and already published to dev, prod. All is great.

But when I try to build it through Azure Pipeline, build is failed with error

Dotnet command failed with non-zero exit code on the following projects

Error in log:

error TS2307: Build:Cannot find module ‘@angular/core’ or its corresponding type declarations.

Here is my package.json:

"dependencies": {
"@angular/common": "2.3.1",
"@angular/compiler": "2.3.1",
"@angular/core": "2.3.1",
"@angular/forms": "2.3.1",
"@angular/http": "2.3.1",
"@angular/platform-browser": "2.3.1",
"@angular/platform-browser-dynamic": "2.3.1",
"@angular/router": "3.3.1",
"core-js": "~2.4.1",
"devextreme": "17.1.4",
"devextreme-angular": "~17.1.4",
"jquery": "^3.6.0",
"natives": "^1.1.6",
"rxjs": "^5.4.2",
"ts-helpers": "~1.1.1",
"zone.js": "~0.7.2"
},
"devDependencies": {
"@angular/cli": "1.1.0",
"@angular/compiler-cli": "2.3.1",
"@types/jasmine": "2.5.38",
"@types/jquery": "2.0.46",
"@types/node": "^6.14.9",
"codelyzer": "~2.0.0-beta.1",
"css-loader": "0.28.11",
"del": "^3.0.0",
"gulp": "^4.0.2",
"gulp-rename": "^1.2.2",
"gulp-uglify": "^3.0.0",
"jasmine-core": "2.5.2",
"jasmine-spec-reporter": "2.5.0",
"karma": "1.2.0",
"karma-chrome-launcher": "~2.0.0",
"karma-cli": "~1.0.1",
"karma-jasmine": "~1.0.2",
"karma-remap-istanbul": "~0.2.1",
"protractor": "~4.0.13",
"ts-node": "1.2.1",
"tslint": "~4.3.0",
"typescript": "~2.0.3",
"uglify-js": "^3.6.5"
}

I am using ASP .Net Core template([email protected]) in Pipeline.
How can I resolve the issue?

Source: Angular Questions

Answers

Leave a Reply

This site uses Akismet to reduce spam. Learn how your comment data is processed.

Still Have Questions?


Our dedicated development team is here for you!

We can help you find answers to your question for as low as 5$.

Contact Us
faq